﻿
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WebEdition

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If (Not Page.IsPostBack) Then
            Map1.MapBackground.BackgroundBrush = New GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"))
            Map1.CurrentExtent = New RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962)
            Map1.MapUnit = GeographyUnit.Meter

            Dim googleMapLayer As New GoogleMapsLayer("ABQIAAAAoxK_HcqphMsnUQHEwLwHlRSavkNJi0NVTgm4UDidoiIU5dUJpRQW88FufPCp0aTPraxZgZFAIUHn3Q")
            Map1.StaticOverlay.Layers.Add(googleMapLayer)

        End If
    End Sub

    Protected Sub Map1_Click(ByVal sender As Object, ByVal e As ThinkGeo.MapSuite.WebEdition.MapClickedEventArgs) Handles Map1.Click

        ' get the click position.

        Dim clickWorldPosition As PointShape = e.Position
        ' convert to screen point.
        Dim clickScreenPoint As ScreenPointF = Map1.ToScreenCoordinate(clickWorldPosition)

        Dim popup As CloudPopup
        If Map1.Popups.Count = 0 Then
            popup = New CloudPopup("Popup", e.Position, String.Empty, 200, 80, True, True)
            popup.IsVisible = True
            Map1.Popups.Add(popup)
        Else
            popup = DirectCast(Map1.Popups("Popup"), CloudPopup)
            popup.Position = e.Position
            popup.IsVisible = True
        End If

        popup.ContentHtml = "<div style='font-size:11px'>You clicked here.</Div>" 'GetPopupContent(selectedFeatures)

    End Sub
End Class